| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiMP.Parallel.SshSession Class Reference
Inheritance diagram for GaudiMP.Parallel.SshSession:
[legend]
Collaboration diagram for GaudiMP.Parallel.SshSession:
[legend]

## Public Member Functions
def | __init__ (self, hostname)
def | __del__ (self)

## Public Attributes
| host
| session

## Detailed Description

Definition at line 164 of file Parallel.py.

## Constructor & Destructor Documentation

def GaudiMP.Parallel.SshSession.__init__ | ( |  | self,
|  |  | hostname
| ) |  |

Definition at line 165 of file Parallel.py.

165 def __init__(self, hostname):
166 import pyssh
167 import pp
168 self.host = hostname
169 ppprefix = os.path.dirname(os.path.dirname(pp.__file__))
170 self.session = pyssh.Ssh(host=hostname)
171 self.session.open()
172 self.session.read_lazy()
173 self.session.write('cd %s\n' % os.getcwd())
174 self.session.read_lazy()
175 self.session.write('setenv PYTHONPATH %s\n' % os.environ['PYTHONPATH'])
176 self.session.read_lazy()
177 self.session.write('setenv LD_LIBRARY_PATH %s\n' % os.environ['LD_LIBRARY_PATH'])
178 self.session.read_lazy()
179 self.session.write('setenv ROOTSYS %s\n' % os.environ['ROOTSYS'])
180 self.session.read_lazy()
181 self.session.write('%s %s/scripts-%s/ppserver.py \n'%(sys.executable, ppprefix, sys.version.split()[0] ))
182 self.session.read_lazy()
183 self.session.read_lazy()
184 print 'started ppserver in ', hostname
GaudiMP.Parallel.SshSession.host
host
Definition: Parallel.py:168
GaudiMP.Parallel.SshSession.__init__
def __init__(self, hostname)
Definition: Parallel.py:165
GaudiMP.Parallel.SshSession.session
session
Definition: Parallel.py:170

def GaudiMP.Parallel.SshSession.__del__ | ( |  | self | ) |

Definition at line 185 of file Parallel.py.

185 def __del__(self):
186 self.session.close()
187 print 'killed ppserver in ', self.host
188
189 # == EOF ====================================================================================
190
GaudiMP.Parallel.SshSession.host
host
Definition: Parallel.py:168
GaudiMP.Parallel.SshSession.__del__
def __del__(self)
Definition: Parallel.py:185

## Member Data Documentation

GaudiMP.Parallel.SshSession.host

Definition at line 168 of file Parallel.py.

GaudiMP.Parallel.SshSession.session

Definition at line 170 of file Parallel.py.

The documentation for this class was generated from the following file:

- GaudiMP/python/GaudiMP/Parallel.py